%define bash_completion_dir %(pkg-config --variable=completionsdir bash-completion || echo /etc/bash_completion.d)

Summary: pxemp: PXE boot symlink wizard
Name: pxemp
Version: 1.6.2
Release: 1
# URL: 
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Requires: bash wol amtc bash-completion

%description
PXEMP is a tool to manage symlinks in a specific TFTP tree for PXE booting.

It allows you to set symlinks, list them, set a stored default and it
has a feature to wake up workstations with wake on LAN. It uses the
tool wol for that.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,share/doc/%{name}-%{version}} \
	$RPM_BUILD_ROOT/etc/default $RPM_BUILD_ROOT/%{bash_completion_dir}
cp -a sbin/* $RPM_BUILD_ROOT/usr/sbin/.
cp -a doc/* $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/.
cp -a %{name}.default $RPM_BUILD_ROOT/etc/default/%{name}
cp -a pxemp_completion.bash $RPM_BUILD_ROOT/%{bash_completion_dir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/default/%{name}
/usr/sbin/%{name}
%{bash_completion_dir}/%{name}
%doc /usr/share/doc/%{name}-%{version}
